var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { IsBoolean, IsNumber, IsOptional, IsPositive } from 'class-validator';
import { JSONSchema } from 'class-validator-jsonschema';
import { QueryDoc } from '@easylayer/common/shared-interfaces';
export class GetNetworkBlocksQueryDto {
}
__decorate([
    IsOptional(),
    IsNumber(),
    IsPositive(),
    JSONSchema({ description: 'Number of recent EVM blocks to retrieve', default: 10, example: 10, minimum: 1 }),
    __metadata("design:type", Number)
], GetNetworkBlocksQueryDto.prototype, "lastN", void 0);
__decorate([
    IsOptional(),
    IsBoolean(),
    JSONSchema({ description: 'Retrieve all currently stored light blocks', default: false, example: false }),
    __metadata("design:type", Boolean)
], GetNetworkBlocksQueryDto.prototype, "all", void 0);
let GetNetworkBlocksQuery = class GetNetworkBlocksQuery {
    constructor(payload) {
        this.payload = payload;
    }
};
GetNetworkBlocksQuery = __decorate([
    QueryDoc({ description: 'Retrieves multiple EVM light blocks from the Network aggregate', category: 'Network' }),
    __metadata("design:paramtypes", [Object])
], GetNetworkBlocksQuery);
export { GetNetworkBlocksQuery };
